## gate.xml
Class SimpleErrorHandler

    java.lang.Object
      |
      +--gate.xml.SimpleErrorHandler

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

public class SimpleErrorHandler
extends Object
implements org.xml.sax.ErrorHandler

Field Summary
`private static boolean` `DEBUG` Debug flag

Constructor Summary
`SimpleErrorHandler()` SimpleErrorHandler constructor comment.

Method Summary
`void` `error(org.xml.sax.SAXParseException ex)` This error method is called by the SAX parser when it encounts a recoverable(can continue parsing) error.
`void` `fatalError(org.xml.sax.SAXParseException ex)` This fatalError method is called by the SAX parser when it encounts a fatal(can't continue parsing) error.
`void` `warning(org.xml.sax.SAXParseException ex)` This warning is called by the SAX parser when there is the danger of a confusion.

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

Constructor Detail

### SimpleErrorHandler

    public SimpleErrorHandler()

  SimpleErrorHandler constructor comment.

Method Detail

### error

    public void error(org.xml.sax.SAXParseException ex)
               throws org.xml.sax.SAXException

  This error method is called by the SAX parser when it encounts a recoverable(can continue parsing) error.
  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException ex)
                    throws org.xml.sax.SAXException

  This fatalError method is called by the SAX parser when it encounts a fatal(can't continue parsing) error.
  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`

### warning

    public void warning(org.xml.sax.SAXParseException ex)
                 throws org.xml.sax.SAXException

  This warning is called by the SAX parser when there is the danger of a confusion.
  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`